
package com.ejie.ab61.clientesWS.X43ExpedienteElectronico;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TTaskWaitCategory.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TTaskWaitCategory">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="SOLICITUDES"/>
 *     &lt;enumeration value="TRAMITACION"/>
 *     &lt;enumeration value="APORTACIONES"/>
 *     &lt;enumeration value="FIRMAS"/>
 *     &lt;enumeration value="RECHAZO DE FIRMAS"/>
 *     &lt;enumeration value="INICIODEOFICIO"/>
 *     &lt;enumeration value="TRASPASO"/>
 *     &lt;enumeration value="FISCALIZACIONES"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TTaskWaitCategory", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TTaskWaitCategory {

    SOLICITUDES("SOLICITUDES"),
    TRAMITACION("TRAMITACION"),
    APORTACIONES("APORTACIONES"),
    FIRMAS("FIRMAS"),
    @XmlEnumValue("RECHAZO DE FIRMAS")
    RECHAZO_DE_FIRMAS("RECHAZO DE FIRMAS"),
    INICIODEOFICIO("INICIODEOFICIO"),
    TRASPASO("TRASPASO"),
    FISCALIZACIONES("FISCALIZACIONES");
    private final String value;

    TTaskWaitCategory(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TTaskWaitCategory fromValue(String v) {
        for (TTaskWaitCategory c: TTaskWaitCategory.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
